Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joda.time.format
Interface PeriodParser

    public interface PeriodParser

Internal interface for parsing textual representations of time periods.

Application users will rarely use this class directly. Instead, you will use one of the factory classes to create a `PeriodFormatter`.

The factory classes are:
- `PeriodFormatterBuilder`
- `PeriodFormat`
- `ISOPeriodFormat`

Since:
  1.0
Author:
  Brian S O'Neill, Stephen Colebourne
See Also:
  `PeriodFormatter`, `PeriodFormatterBuilder`, `PeriodFormat`

Method Summary
`int` | `parseInto(ReadWritablePeriod period, java.lang.String periodStr, int position, java.util.Locale locale)` Parses a period from the given text, at the given position, saving the result into the fields of the given ReadWritablePeriod.

Method Detail

### parseInto

    int parseInto(ReadWritablePeriod period,
                  java.lang.String periodStr,
                  int position,
                  java.util.Locale locale)

  Parses a period from the given text, at the given position, saving the result into the fields of the given ReadWritablePeriod. If the parse succeeds, the return value is the new text position. Note that the parse may succeed without fully reading the text.

  If it fails, the return value is negative, but the period may still be modified. To determine the position where the parse failed, apply the one's complement operator (~) on the return value.

  Parameters:
    `period` - a period that will be modified
    `periodStr` - text to parse
    `position` - position to start parsing from
    `locale` - the locale to use for parsing
  Returns:
    new position, if negative, parse failed. Apply complement operator (~) to get position of failure
  Throws:
    `java.lang.IllegalArgumentException` - if any field is out of range

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD